Sophie, thank you for your post. I appreciate hearing there is a solution.

I would LOVE to hear from support as I am not too happy about going back to WP 3.0.
It does not seem like I should have to do that.

Can I please hear from support?

Are you planning to address this issue so the theme can work with WP 3.5 or higher?

I am new to working with your themes. Is it normal for a week to pass without having a response from support?

Thank you for your attention to this matter.
Sharon